## dbus 1.6.4

=== debian/changelog ===
dbus (1.6.4-1ubuntu4) quantal-proposed; urgency=low

  * debian/patches/CVE-2012-3524-regression-fix.patch: updated to fix test
    suite.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Oct 2012 14:41:36 -0400

dbus (1.6.4-1ubuntu3) quantal-proposed; urgency=low

  * REGRESSION FIX: some applications launched with the activation helper
    may need DBUS_STARTER_ADDRESS. (LP: #1058343)
    - debian/patches/CVE-2012-3524-regression-fix.patch: hardcode the
      starter address to the default system bus address.
  * Fix unclean shutdown after dbus upgrade (LP: #740390)
    - debian/libdbus-1-3.postinst: trigger an upstart re-exec before
      shutdown or reboot so that it can safely unmount the root
      filesystem.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Oct 2012 07:14:40 -0400

dbus (1.6.4-1ubuntu2) quantal-proposed; urgency=low

  * SECURITY UPDATE: privilege escalation via unsanitized environment
    - debian/patches/CVE-2012-3524-dbus.patch: Don't access environment
      variables or run dbus-launch when setuid in configure.ac,
      dbus/dbus-keyring.c, dbus/dbus-sysdeps*
    - CVE-2012-3524

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Sep 2012 08:57:33 -0400

dbus (1.6.4-1ubuntu1) quantal-proposed; urgency=low

  * Upload to quantal (lp: #1014850)
  * debian/control:
    - use "Breaks: unity-services (<< 6.0.0-0ubuntu6)", the new dbus 
      eavedropping protection was creating issues with previous versions
    
  [ Iain Lane ]
  * Merge with Debian experimental for the new stable series. Remaining Ubuntu
    changes:
    - Install binaries into / rather than /usr:
      + debian/rules: Set --exec-prefix=/
      + debian/dbus.install, debian/dbus-x11.install: Install from /bin
    - Use upstart to start:
      + Add debian/dbus.upstart.
      + debian/control: Add upstart dependency.
      + debian/dbus.postinst: Use upstart call instead of invoking the init.d
        script for checking if we are already running. 
      + debian/control: versioned dependency on netbase that emits the new
        deconfiguring-networking event used in upstart script.
    - 20_system_conf_limit.patch: Increase max_match_rules_per_connection for
      the system bus to 5000 (LP #454093)
    - 81-session.conf-timeout.patch: Raise the service startup timeout from 25
      to 60 seconds. It may be too short on the live CD with slow machines.
    - Add 0001-activation-allow-for-more-variation-than-just-system.patch,
      0002-bus-change-systemd-activation-to-activation-systemd.patch,
      0003-upstart-add-upstart-as-a-possible-activation-type.patch,
      0004-upstart-add-UpstartJob-to-service-desktop-files.patch,
      0005-activation-implement-upstart-activation.patch: Patches from Scott
      James Remnant to implement Upstart service activation. Not upstream.
      Disable patches since they do not apply and this facility is unused
      anyway.
  * Remove systemd BDs; not appropriate for Ubuntu.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 Aug 2012 12:05:38 +0200

dbus (1.6.4-1) experimental; urgency=low

  * gbp.conf: switch to experimental branch
  * New upstream stable release
    - remove incorrect assertion and have correct default for developer mode
      (Closes: #680027, differently)

 -- Simon McVittie <smcv@debian.org>  Wed, 18 Jul 2012 18:42:52 +0100

dbus (1.6.2-2) unstable; urgency=low

  * Disable "developer mode", which was intended to be off-by-default,
    but was incorrectly on-by-default in 1.6.2, causing an incorrect
    assertion to be hit when starting fcitx before dbus-launch.
    (Closes: #680027)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Jul 2012 19:33:42 +0100

dbus (1.6.2-1) unstable; urgency=low

  * New upstream stable release
    - dbus-launch --exit-with-session no longer monitors its stdin if
      run under X11 (Closes: #453755)
  * Remove the workaround for #453755 from dbus-Xsession

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Jun 2012 18:22:20 +0100

dbus (1.6.0-1) unstable; urgency=low

  * Merge from "experimental" (1.5.12 was accidentally uploaded to unstable)
  * New upstream stable release
  * debian/watch: only match stable (0.even.x) releases

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Jun 2012 14:23:46 +0100

dbus (1.5.12-1) unstable; urgency=low

  * Merge from unstable
  * New upstream release
    - adds new API
  * Standards-Version: 3.9.3 (no changes)
  * Remove lintian override for #629648, hopefully the ftpmasters are using
    lintian 2.5.1 by now
  * Add lintian overrides for the empty directories we (intentionally) ship
  * Don't run dh_makeshlibs on dbus-1-dbg, nothing should be linking to its
    extra-debug-enabled build of the library
  * Register D-Bus documentation in doc-base

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Mar 2012 18:36:38 +0100

dbus (1.4.20-1) unstable; urgency=low

  * New upstream release
    - fixes FTBFS with GLib 2.32 (Closes: #665665)

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Mar 2012 13:33:33 +0100
