=== debian/changelog ===
dbus (1.6.8-1ubuntu3) raring; urgency=low

  * Mark libdbus-1-dev as Multi-Arch same.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 07 Jan 2013 17:36:51 +0000

dbus (1.6.8-1ubuntu2) raring; urgency=low

  * The tests are not run diring the build. Configure with --disable-tests,
    drop the build dependencies needed for the tests.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Jan 2013 17:03:23 +0100

dbus (1.6.8-1ubuntu1) raring; urgency=low

  * Resynchronize on Debian, see 1.6.4-1ubuntu1 and 1.6.4-1ubuntu3 for a 
    summary of the Ubuntu changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Nov 2012 15:31:11 +0100

dbus (1.6.8-1) unstable; urgency=low

  * Merge from experimental
  * New upstream stable release 1.6.6
    - CVE-2012-3524: mitigates arbitrary code execution in setuid or otherwise
      privileged binaries that use libdbus without first sanitizing the
      environment variables inherited from their less-privileged caller
      (Closes: #689070)
  * New upstream stable release 1.6.8
    - Revert part of 1.6.6 (do not check filesystem capabilities, only
      setuid/setgid), fixing regressions in certain configurations of
      gnome-keyring

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Sep 2012 13:25:50 +0100
