=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
 #              libsystemd-daemon-dev (>= 32) [linux-any],
 #              libsystemd-login-dev (>= 32) [linux-any],
                libx11-dev,
-               python (>= 2.6),
-               python-dbus,
-               python-gobject,
+#              python (>= 2.6),
+#              python-dbus,
+#              python-gobject,
                xmlto,
                xsltproc
 Standards-Version: 3.9.3
@@ -132,6 +132,7 @@
 Package: libdbus-1-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libdbus-1-3 (= ${binary:Version}),
          ${misc:Depends},
