=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 LDFLAGS += -Wl,--as-needed
 
+
 common_configure_flags := \
 		--disable-silent-rules \
 		--disable-libaudit \
@@ -21,6 +22,15 @@
 		--libexecdir=\$${prefix}/lib/dbus-1.0 \
 		--with-systemdsystemunitdir=/lib/systemd/system \
 		$(NULL)
+
+# the stage stuff isn't needed yet, because the testsuite isn't run by default
+#ifeq ($(DEB_STAGE),stage1)
+#  common_configure_flags += --disable-tests
+#else
+#  debug_configure_flags = --enable-tests
+#endif
+common_configure_flags += --disable-tests
+#debug_configure_flags = --enable-tests
 
 override_dh_auto_configure:
 	dh_auto_configure \
@@ -35,11 +45,11 @@
 		--builddirectory=build-debug \
 		-- \
 		$(common_configure_flags) \
+		$(debug_configure_flags) \
 		--disable-xml-docs \
 		--disable-doxygen-docs \
 		--enable-asserts \
 		--enable-checks \
-		--enable-tests \
 		--enable-verbose-mode \
 		--prefix=/usr/lib/$(DEB_HOST_MULTIARCH)/dbus-1.0/debug-build \
 		--libdir='$${prefix}/lib' \
