=== debian/changelog ===
dbus (1.6.18-0ubuntu4) trusty; urgency=medium

  * Create ~/.cache/upstart if it doesn't already exist.
    Thanks to Ryan Lovett for the patch. (LP: #1300516)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 01 Apr 2014 17:53:17 -0400

dbus (1.6.18-0ubuntu3) trusty; urgency=low

  * aa-mediate-eavesdropping.patch: Query AppArmor when confined applications
    attempt to eavesdrop on the bus. See the apparmor.d(5) man page for
    AppArmor syntax details. (LP: #1262440)
  * debian/control: Depend on the apparmor version containing the new
    eavesdrop permission

 -- Tyler Hicks <tyhicks@canonical.com>  Mon, 13 Jan 2014 11:45:21 -0600

dbus (1.6.18-0ubuntu2) trusty; urgency=low

  [ James Hunt ]
  * debian/dbus.user-session.upstart: Communicate session bus to Upstart
    Session Init to avoid potential out-of-memory scenario triggered by
    Upstart clients that do not run main loops (LP: #1235649, LP: #1252317).

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 19 Nov 2013 11:14:58 +0000

dbus (1.6.18-0ubuntu1) trusty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Nov 2013 18:07:24 +0100
