=== debian/control ===
--- 
+++ 
@@ -29,8 +29,9 @@
                libdbus-glib-1-dev,
                libglib2.0-dev (>= 2.31.4),
                libselinux1-dev [linux-any],
-#              libsystemd-daemon-dev (>= 32) [linux-any],
-#              libsystemd-login-dev (>= 32) [linux-any],
+               libapparmor-dev (>= 2.8.0-0ubuntu38) [linux-any],
+               libsystemd-daemon-dev (>= 32) [linux-any],
+               libsystemd-login-dev (>= 32) [linux-any],
                libx11-dev,
 #              python (>= 2.6),
 #              python-dbus,
@@ -49,7 +50,8 @@
          adduser,
          lsb-base (>= 3.2-14),
          upstart (>= 0.6.3-6),
-         netbase (>= 4.45ubuntu3),
+         netbase (>= 4.45ubuntu3)
+Recommends: libpam-systemd
 Breaks: unity-services (<< 6.0.0-0ubuntu6)
 Suggests: dbus-x11
 Multi-Arch: foreign
