=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 common_configure_flags := \
 		--disable-silent-rules \
 		--disable-libaudit \
+		--enable-apparmor \
+		--enable-systemd \
 		--enable-installed-tests \
 		--libexecdir=\$${prefix}/lib/dbus-1.0 \
 		--with-systemdsystemunitdir=/lib/systemd/system \
@@ -83,6 +85,7 @@
 		lib/$(DEB_HOST_MULTIARCH)
 	dh_install --remaining-packages --list-missing
 	install -m 644 -D debian/dbus-Xsession debian/dbus-x11/etc/X11/Xsession.d/75dbus_dbus-launch
+	install -m 644 -D debian/dbus.user-session.upstart debian/dbus/usr/share/upstart/sessions/dbus.conf
 
 override_dh_installinit:
 	dh_installinit -pdbus -r -- start 12 2 3 4 5 .
