=== debian/watch ===
version=3

http://dbus.freedesktop.org/releases/dbus/dbus-(\d+\.\d*[02468]\..*)\.tar\.gz
